Close Positions
client.V1.Positions.ClosePositions(ctx, accountID, body) (*V1PositionClosePositionsResponse, error)
DELETE/v1/accounts/{account_id}/positions
Delete all positions within an account.
Closes all positions for the specified trading account.
Close Positions
package main
import (
"context"
"fmt"
"github.com/clear-street/clear-street-go"
"github.com/clear-street/clear-street-go/option"
)
func main() {
client := clearstreet.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1.Positions.ClosePositions(
context.TODO(),
0,
clearstreet.V1PositionClosePositionsParams{
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response)
}
{
"data": [
{
"account_id": 19816,
"average_fill_price": null,
"created_at": "2025-10-03T14:01:15.000000000Z",
"filled_quantity": "0",
"id": "019c0b57-0850-7b0b-8a2c-5ee3fb5a5876",
"instrument_id": "c3c4c5c6-d3d4-e3e4-f3f4-f5f6f7f8f9fa",
"instrument_type": "COMMON_STOCK",
"leaves_quantity": "25",
"limit_price": null,
"order_type": "MARKET",
"quantity": "25",
"side": "SELL",
"status": "PENDING_NEW",
"stop_price": null,
"symbol": "GOOG",
"time_in_force": "DAY",
"updated_at": "2025-10-03T14:01:15.000000000Z",
"venue": "XNMS"
}
],
"error": null,
"metadata": {
"request_id": "3f4a5b6c-7d8e-9f0a-1b2c-3d4e5f6a7b8c"
}
}{
"error": {
"code": 400,
"message": "Failed to parse the request body as JSON: expected `:` at line 2 column 19"
},
"metadata": {
"request_id": "93a7c482-b246-4e15-9618-bcbe0906b815"
}
}{
"error": {
"code": 403,
"message": "The caller does not have permission to execute the specified operation"
},
"metadata": {
"request_id": "5518f0c6-58ff-4b4a-81a5-701556d41206"
}
}Returns Examples
{
"data": [
{
"account_id": 19816,
"average_fill_price": null,
"created_at": "2025-10-03T14:01:15.000000000Z",
"filled_quantity": "0",
"id": "019c0b57-0850-7b0b-8a2c-5ee3fb5a5876",
"instrument_id": "c3c4c5c6-d3d4-e3e4-f3f4-f5f6f7f8f9fa",
"instrument_type": "COMMON_STOCK",
"leaves_quantity": "25",
"limit_price": null,
"order_type": "MARKET",
"quantity": "25",
"side": "SELL",
"status": "PENDING_NEW",
"stop_price": null,
"symbol": "GOOG",
"time_in_force": "DAY",
"updated_at": "2025-10-03T14:01:15.000000000Z",
"venue": "XNMS"
}
],
"error": null,
"metadata": {
"request_id": "3f4a5b6c-7d8e-9f0a-1b2c-3d4e5f6a7b8c"
}
}{
"error": {
"code": 400,
"message": "Failed to parse the request body as JSON: expected `:` at line 2 column 19"
},
"metadata": {
"request_id": "93a7c482-b246-4e15-9618-bcbe0906b815"
}
}{
"error": {
"code": 403,
"message": "The caller does not have permission to execute the specified operation"
},
"metadata": {
"request_id": "5518f0c6-58ff-4b4a-81a5-701556d41206"
}
}